#include <iostream>
using namespace std;

const int LIMIT = 200;

void bubbleSort(int[], int);
int inputArraySize(int); 
void inputArray(int[], int);
void printArray(int[], int);

int main() {

	int size = inputArraySize(LIMIT);

	int array[LIMIT];
	inputArray(array, size);
	bubbleSort(array, size);
	printArray(array, size);

	return 0;	
}

int inputArraySize(int limit) {
	
	int size;
	do {
		cout << "Input number of elements [1, " << limit << "]: ";
		cin >> size;
	} while(size < 1 || size > limit);
	return size;
}

void inputArray(int array[], int size) {

	cout << "Input all the " << size << " elements:" << endl;
	for(int i = 0; i < size; ++i) {
		cin >> array[i];
	}

}

void bubbleSort(int array[], int size) {
		
	for(int i = size - 1; i > 0; --i) {
		// Swaping all inversed pairs of elements.
		for(int j = 0; j < i; ++j) {
			if(array[j] > array[j + 1]) {
				swap(array[j], array[j + 1]);
			}	
		}
	}
}

void printArray(int array[], int size) {

	for(int i = 0; i < size; ++i) {
		cout << array[i] << " ";
	}
	cout << endl;
}

